# trgt_yuv.cpp File Reference

Template File. More...

`#include "trgt_yuv.h"`
`#include <ETL/stringf>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`

## Defines

#define | SYNFIG_TARGET
#define | Y_FLOOR (16)
#define | Y_CEIL (235)
#define | Y_RANGE (Y_CEIL-Y_FLOOR)
#define | UV_FLOOR (16)
#define | UV_CEIL (240)
#define | UV_RANGE (UV_CEIL-UV_FLOOR)

## Functions

| SYNFIG_TARGET_INIT (yuv)
| SYNFIG_TARGET_SET_NAME (yuv,"yuv420p")
| SYNFIG_TARGET_SET_EXT (yuv,"yuv")
| SYNFIG_TARGET_SET_VERSION (yuv,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (yuv,"$Id$")

## Detailed Description

Template File.

$Id$

## Define Documentation

#define SYNFIG_TARGET

#define Y_FLOOR (16)

Referenced by yuv::end_frame().

#define Y_CEIL (235)

#define Y_RANGE (Y_CEIL-Y_FLOOR)

Referenced by yuv::end_frame().

#define UV_FLOOR (16)

Referenced by yuv::end_frame().

#define UV_CEIL (240)

#define UV_RANGE (UV_CEIL-UV_FLOOR)

Referenced by yuv::end_frame().

## Function Documentation

SYNFIG_TARGET_INIT | ( | yuv |  | ) |

SYNFIG_TARGET_SET_NAME | ( | yuv | ,
|  | "yuv420p" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | yuv | ,
|  | "yuv" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | yuv | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | yuv | ,
|  | "$Id$" |  |
| ) |  |  |